- Qt 6.8
- Qt Quick 3D
- C++ Classes
- QSSGRhiSamplerDescription
- Qt Quick 3D | Commercial or GPLv3

# QSSGRhiSamplerDescription Struct

QSSGRhiSamplerDescription. More...

Header: | `#include <QSSGRhiSamplerDescription>`
Since: | Qt 6.7

- List of all members, including inherited members

## Public Variables

int | hTiling
int | magFilter
int | minFilter
int | mipmap
int | vTiling
int | zTiling

## Detailed Description

Convenience class used to request a QRhiSampler from QtQuick3D internal cache.

Note: Samplers are owned by QtQuick3D.

See also QSSGRhiContext::sampler().

## Member Variable Documentation

### int QSSGRhiSamplerDescription::hTiling

The horizontal wrap mode.

See also QRhiSampler::AddressMode.

### int QSSGRhiSamplerDescription::magFilter

The magnification filter mode.

See also QRhiSampler::Filter and QRhiSampler::magFilter().

### int QSSGRhiSamplerDescription::minFilter

The minification filter mode.

See also QRhiSampler::Filter and QRhiSampler::minFilter().

### int QSSGRhiSamplerDescription::mipmap

The mipmap filtering mode.

See also QRhiSampler::Filter and QRhiSampler::mipmapMode().

### int QSSGRhiSamplerDescription::vTiling

The vertical wrap mode.

See also QRhiSampler::AddressMode.

### int QSSGRhiSamplerDescription::zTiling

The depth wrap mode.

See also QRhiSampler::AddressMode.